Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15557

Description

Adding a dragging a WFS layer which has a title with spaces to the map does not work. e.g layer name = "XXX: MyLayer"

URL="http://foo/bar?version=1.0.0&VERSION=1.0.0&TYPENAME=v:x1153&SERVICE=WFS&VERSION=1.0.0&REQUEST=GetFeature&TYPENAME=v:x1153" Gives and error:

e&TYPENAME=v:x1153" Gives and error:

MyLayer:http://foo/bar?version=1.0.0&VERSION=1.0.0&TYPENAME=v:x1153&SERVICE=WFS&VERSION=1.0.0&REQUEST=GetFe

ture&TYPENAME=v:x1153 is not a valid layer and can not be added to the map is not a valid layer and can not be added to the map

Also seems that there is a bug with the creation of QgsOWSConnection object "WF" instead of "WFS". See

https://github.com/qgis/Quantum-GIS/blob/master/src/providers/wfs/qgswfsdataitems.cpp#L156

History

#1 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2013-09-23 12:17 PM - Jeremy Palmer

- Status changed from Open to Closed

This is now fixed in QGIS 2.0

#3 - 2013-09-23 12:18 PM - Giovanni Manghi

- Resolution set to fixed
